%define section   devel
%define base_name commons-latka

Name:           jakarta-%{base_name}
Version:        1.0
Release:        0.a1.4jpp
Epoch:          0
Summary:        Functional (end-to-end) testing tool

Group:          Development/Libraries/Java
License:        Apache Software License
URL:            http://jakarta.apache.org/commons/latka/
Source0:        commons-latka-1.0.alpha1-src.tar.gz
# cvs -d :pserver:anoncvs@cvs.apache.org:/home/cvspublic login
# cvs -d :pserver:anoncvs@cvs.apache.org:/home/cvspublic export -r LATKA-1-0-alpha1 jakarta-commons/latka
Source1:        commons-latka-LICENSE
Patch0:         commons-latka-httpclient2-and-jdom.patch
Patch1:         commons-latka-build_xml.patch
Patch2:         commons-latka-1.0.alpha1-jdom-XMLOutputter.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5, junit
BuildRequires:  ant >= 0:1.6, ant-junit >= 0:1.6
BuildRequires:  jakarta-commons-beanutils
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  jakarta-commons-jexl
BuildRequires:  jakarta-commons-jelly
BuildRequires:  jakarta-commons-jelly-tags-junit
BuildRequires:  jakarta-commons-logging
BuildRequires:  jaxen >= 0:1.1
BuildRequires:  jdom >= 0:1.0
BuildRequires:  dom4j >= 0:1.5
BuildRequires:  log4j
BuildRequires:  regexp
BuildRequires:  servletapi3
BuildRequires:  xalan-j2
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis
Requires:  jakarta-commons-beanutils
Requires:  jakarta-commons-collections
Requires:  jakarta-commons-httpclient
Requires:  jakarta-commons-jexl
Requires:  jakarta-commons-jelly
Requires:  jakarta-commons-jelly-tags-junit
Requires:  jakarta-commons-logging
Requires:  jaxen >= 0:1.1
Requires:  jdom >= 0:1.0
Requires:  dom4j >= 0:1.5
Requires:  log4j
Requires:  regexp
Requires:  servletapi3
Requires:  xalan-j2
Requires:  xerces-j2
Requires:  xml-commons-apis

%description
Latka is a functional (end-to-end) testing tool. 
It is implemented in Java, and uses an XML syntax 
to define a series of HTTP (or HTTPS) requests and 
a set of validations used to verify that the request 
was processed correctly. 

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}

%package        manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description    manual
Javadoc for %{name}

%prep
%setup -q -n commons-latka
find . -name "*.jar" -exec rm {} \;
cp %{SOURCE1} LICENSE
echo >> build.xml

%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav

%build
export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH=$(build-classpath \
jakarta-commons-httpclient \
commons-jelly \
commons-jelly-tags-junit \
commons-logging \
jaxen \
jdom \
dom4j \
log4j \
regexp \
saxpath \
servletapi3 \
xalan-j2 \
xerces-j2 \
xml-commons-apis \
commons-collections \
commons-beanutils \
commons-jexl)
CLASSPATH=$CLASSPATH:build/classes
ant -Dbuild.sysclasspath=only test dist


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 dist/%{base_name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
ln -s %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}-%{version}.jar
ln -s %{base_name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}.jar
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/bin
cp -p bin/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/bin
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/conf
cp -p conf/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/conf
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/resource
cp -p resource/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/resource

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf build/docs/api

# manual
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p build/docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p build/LICENSE $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}/LICENSE
%{_javadir}/*.jar
%doc %{_datadir}/%{name}-%{version}

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}

%changelog
* Mon Sep 27 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.a1.4jpp
- Drop saxpath requirement
- Require jaxen >= 1.1 and dom4j >= 1.5
- Relax some other versioned requirements

* Sat Sep 18 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.a1.3jpp
- Patch XMLReporter to use jdom-1.0 final or rc1

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:1.0-0.a1.2jpp
- Rebuild with ant-1.6.2
- Upgrade to Ant 1.6.X

* Mon Jun 14 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.a1.1jpp
- First build.
